### Signal

# Gtk Widget::direction-changed

since: 4.0

#### Declaration

    void
    direction_changed (
      GtkWidget* self,
      GtkTextDirection previous_direction,
      gpointer user_data
    )

#### Description [src]

Emitted when the text direction of a widget changes.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`previous_direction`

  Type: `GtkTextDirection`

  The previous text direction of `widget`.